from django.utils.translation import gettext_lazy as _
from wagtail.fields import RichTextField
from wagtail.admin.panels import FieldPanel, MultiFieldPanel
from wagtail.contrib.settings.models import BaseSiteSetting, register_setting


class CookieSettings(BaseSiteSetting):
    cookie_message = RichTextField(
        verbose_name="Cookie statement",
        blank=True,
        default="We maken gebruik van cookies om er zeker van te zijn dat u onze website zo goed mogelijk beleeft. Als u deze website blijft gebruiken, gaan we ervan uit dat u dat goed vindt.",
    )

    popup_cookie_message = RichTextField(
        verbose_name="Popup cookie statement",
        blank=True,
        default="We maken gebruik van cookies om er zeker van te zijn dat u onze website zo goed mogelijk beleeft. Als u deze website blijft gebruiken, gaan we ervan uit dat u dat goed vindt.",
    )

    panels = [
        MultiFieldPanel(
            [FieldPanel("cookie_message"), FieldPanel("popup_cookie_message")],
            heading=_("Cookie notifications"),
        )
    ]

    class Meta:
        verbose_name = _("Cookie settings")


register_setting(CookieSettings)
